<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="10.0.7" />
      <PackageReference Include="Microsoft.Extensions.Hosting.Abstractions" Version="10.0.7" />
      <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="10.0.7" />
      <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="10.0.7" />
      <PackageReference Include="SixLabors.ImageSharp" Version="3.1.11" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\SatelliteProvider.Common\SatelliteProvider.Common.csproj" />
      <ProjectReference Include="..\SatelliteProvider.DataAccess\SatelliteProvider.DataAccess.csproj" />
    </ItemGroup>

    <ItemGroup>
      <InternalsVisibleTo Include="SatelliteProvider.Tests" />
    </ItemGroup>

</Project>
